| OpenCV 3.4.3 Open Source Computer Vision

Static Public Member Functions | Public Attributes | List of all members
cv::aruco::Board Class Reference
ArUco Marker Detection

Board of markers. More...

`#include "aruco.hpp"`

Inheritance diagram for cv::aruco::Board:

## Static Public Member Functions
static Ptr< Board > | create (InputArrayOfArrays objPoints, const Ptr< Dictionary > &dictionary, InputArray ids)
| Provide way to create Board by passing nessesary data. Specially needed in Python. More...

## Public Attributes
Ptr< Dictionary > | dictionary
| the dictionary of markers employed for this board More...
std::vector< int > | ids
std::vector< std::vector< Point3f > > | objPoints

## Detailed Description

Board of markers.

A board is a set of markers in the 3D space with a common cordinate system. The common form of a board of marker is a planar (2D) board, however any 3D layout can be used. A Board object is composed by:

- The object points of the marker corners, i.e. their coordinates respect to the board system.
- The dictionary which indicates the type of markers of the board
- The identifier of all the markers in the board.

## Member Function Documentation

## § create()

static Ptr<Board> cv::aruco::Board::create | ( | InputArrayOfArrays | objPoints,
|  | const Ptr< Dictionary > & | dictionary,
|  | InputArray | ids
| ) |  |
| static

Python:
| retval | = | cv.aruco.Board_create( | objPoints, dictionary, ids | )

Provide way to create Board by passing nessesary data. Specially needed in Python.

Parameters

  objPoints | array of object points of all the marker corners in the board
  dictionary | the dictionary of markers employed for this board
  ids | vector of the identifiers of the markers in the board

## Member Data Documentation

## § dictionary

Ptr<Dictionary> cv::aruco::Board::dictionary

the dictionary of markers employed for this board

## § ids

std::vector< int > cv::aruco::Board::ids

vector of the identifiers of the markers in the board (same size than objPoints) The identifiers refers to the board dictionary

## § objPoints

std::vector< std::vector< Point3f > > cv::aruco::Board::objPoints

array of object points of all the marker corners in the board each marker include its 4 corners in CCW order. For M markers, the size is Mx4.

The documentation for this class was generated from the following file:

- /build/3_4-contrib_docs-lin64/opencv_contrib/modules/aruco/include/opencv2/aruco.hpp